Documentation Index
Fetch the curated documentation index at: https://grafana_com_website/llms.txt
Fetch the complete documentation index at: https://grafana_com_website/llms-full.txt
Use this file to discover all available pages before exploring further.
STOP! If you are an AI agent or LLM, read this before continuing. This is the HTML version of a Grafana documentation page. Always request the Markdown version instead - HTML wastes context. Get this page as Markdown: /docs/grafana-cloud/testing/k6/reference/cloud-rest-api/authorization.md (append .md) or send Accept: text/markdown to /docs/grafana-cloud/testing/k6/reference/cloud-rest-api/authorization/. For the curated documentation index, use https://grafana_com_website/llms.txt. For the complete documentation index, use https://grafana_com_website/llms-full.txt.
Authorization REST API
Note
The documentation for this API is also available as an OpenAPI description.
Validate a Grafana Cloud k6 API token and access to the stack
GET /cloud/v6/auth
Validate a Grafana Cloud k6 Personal API token or Stack API token and access to the stack.
Request parameters
| Name | Description | In | Required | Type |
|---|---|---|---|---|
X-Stack-Url | The URL of the Grafana stack to authenticate to. | header | true | string |
200
response
OK.
Content types:
application/json
AuthenticationResponse properties:
| Name | Description | Required | Type |
|---|---|---|---|
default_project_id | The ID of the default project in the stack. | true | integer |
stack_id | The ID of the Grafana stack matching the provided URL. | true | integer |
OK example
{
"default_project_id": 67890,
"stack_id": 12345
}401
response
Invalid token or authentication scheme.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
403
response
The user does not have permission to perform this action.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
500
response
Unexpected error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
Was this page helpful?
Related resources from Grafana Labs


